package dev.adriankuta.pixabay.data

fun <T> Result<T>.isSuccess() = this is Result.Success<T>

sealed interface Result<out T> {
    data class Success<out T>(val data: T) : Result<T>
    data class Error(val exception: Throwable) : Result<Nothing>
}